/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   IBM XL C/C++ for Linux on System z, V1.1                         */
/*   (DEV)                                                            */
/*   Copyright IBM Corp. 2003, 2014.                                  */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef _MASS_H
#define _MASS_H 1

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __THROW
# define __THROW_M __THROW
#else
# define __THROW_M
#endif

#ifndef __cplusplus
#include <complex.h>
#endif

  /**************************************************************
   * C/C++ declarations for scalar MASS functions not in math.h *
   **************************************************************/

  double dnint(double)                      __THROW_M;
  float  anint(float)                       __THROW_M;
  double rsqrt(double)                      __THROW_M;
  void   sincos(double, double *, double *) __THROW_M;

  double _Complex cosisin(double) __THROW_M;

  /**************************************************************
   * End of MASS function declarations                          *
   **************************************************************/

#undef __THROW_M
#ifdef __cplusplus
}
#endif

#endif /* #ifndef _MASS_H */
